org.apache.fontbox.ttf

## Class PostScriptTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.PostScriptTable

    public class PostScriptTable
    extends TTFTable

This 'post'-table is a required table in a TrueType-font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getFormatType()`
`String[]` `getGlyphNames()`
`long` `getIsFixedPitch()`
`float` `getItalicAngle()`
`long` `getMaxMemType1()`
`long` `getMaxMemType42()`
`long` `getMinMemType1()`
`long` `getMinMemType42()`
`String` `getName(int gid)` Returns the glyph name of the given GID.
`short` `getUnderlinePosition()`
`short` `getUnderlineThickness()`
`void` `setFormatType(float formatTypeValue)`
`void` `setGlyphNames(String[] glyphNamesValue)`
`void` `setIsFixedPitch(long isFixedPitchValue)`
`void` `setItalicAngle(float italicAngleValue)`
`void` `setMaxMemType1(long maxMemType1Value)`
`void` `setMaxMemType42(long maxMemType42Value)`
`void` `setMimMemType1(long mimMemType1Value)`
`void` `setMinMemType42(long minMemType42Value)`
`void` `setUnderlinePosition(short underlinePositionValue)`
`void` `setUnderlineThickness(short underlineThicknessValue)`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getFormatType

    public float getFormatType()

Returns:
  Returns the formatType.

#### setFormatType

    public void setFormatType(float formatTypeValue)

Parameters:
  `formatTypeValue` - The formatType to set.

#### getIsFixedPitch

    public long getIsFixedPitch()

Returns:
  Returns the isFixedPitch.

#### setIsFixedPitch

    public void setIsFixedPitch(long isFixedPitchValue)

Parameters:
  `isFixedPitchValue` - The isFixedPitch to set.

#### getItalicAngle

    public float getItalicAngle()

Returns:
  Returns the italicAngle.

#### setItalicAngle

    public void setItalicAngle(float italicAngleValue)

Parameters:
  `italicAngleValue` - The italicAngle to set.

#### getMaxMemType1

    public long getMaxMemType1()

Returns:
  Returns the maxMemType1.

#### setMaxMemType1

    public void setMaxMemType1(long maxMemType1Value)

Parameters:
  `maxMemType1Value` - The maxMemType1 to set.

#### getMaxMemType42

    public long getMaxMemType42()

Returns:
  Returns the maxMemType42.

#### setMaxMemType42

    public void setMaxMemType42(long maxMemType42Value)

Parameters:
  `maxMemType42Value` - The maxMemType42 to set.

#### getMinMemType1

    public long getMinMemType1()

Returns:
  Returns the mimMemType1.

#### setMimMemType1

    public void setMimMemType1(long mimMemType1Value)

Parameters:
  `mimMemType1Value` - The mimMemType1 to set.

#### getMinMemType42

    public long getMinMemType42()

Returns:
  Returns the minMemType42.

#### setMinMemType42

    public void setMinMemType42(long minMemType42Value)

Parameters:
  `minMemType42Value` - The minMemType42 to set.

#### getUnderlinePosition

    public short getUnderlinePosition()

Returns:
  Returns the underlinePosition.

#### setUnderlinePosition

    public void setUnderlinePosition(short underlinePositionValue)

Parameters:
  `underlinePositionValue` - The underlinePosition to set.

#### getUnderlineThickness

    public short getUnderlineThickness()

Returns:
  Returns the underlineThickness.

#### setUnderlineThickness

    public void setUnderlineThickness(short underlineThicknessValue)

Parameters:
  `underlineThicknessValue` - The underlineThickness to set.

#### getGlyphNames

    public String[] getGlyphNames()

Returns:
  Returns the glyphNames.

#### setGlyphNames

    public void setGlyphNames(String[] glyphNamesValue)

Parameters:
  `glyphNamesValue` - The glyphNames to set.

#### getName

    public String getName(int gid)

Returns the glyph name of the given GID.

Parameters:
  `gid` - the GID of the glyph name
Returns:
  the glyph name for the given glyph name or null